Forum: Ruby Gem install puzzlet

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
953d32e245f7eb0e670bde0577f1eb43?d=identicon&s=25 Pito Salas (pitosalas)
on 2009-04-27 17:11
$ gem list qtruby4 -r

*** REMOTE GEMS ***

qtruby4 (1.4.9)

$ sudo gem install qtruby4
ERROR:  could not find gem qtruby4 locally or in a repository

# This flies in the face of my world model. I list a gem, it appears, I
try to install it, and it's not there

Any clue would be appreciated!
58479f76374a3ba3c69b9804163f39f4?d=identicon&s=25 Eric Hodel (Guest)
on 2009-04-27 21:22
(Received via mailing list)
On Apr 27, 2009, at 08:11, Pito Salas wrote:

> appears, I
> try to install it, and it's not there
>
> Any clue would be appreciated!

$ gem list -dr qtruby4

*** REMOTE GEMS ***

qtruby4 (1.4.9)
     Platform: mswin32
     Author:
     Rubyforge: http://rubyforge.org/projects/qtruby
     Homepage: http://rubyforge.org/projects/korundum/

     Provides Qt bindings for Ruby programs.
$

Check `gem env` to see if you have mswin32 as a platform.
953d32e245f7eb0e670bde0577f1eb43?d=identicon&s=25 Pito Salas (pitosalas)
on 2009-04-27 21:37
> qtruby4 (1.4.9)
>      Platform: mswin32
>      Author:
>      Rubyforge: http://rubyforge.org/projects/qtruby
>      Homepage: http://rubyforge.org/projects/korundum/
>
>      Provides Qt bindings for Ruby programs.
> $
>
> Check `gem env` to see if you have mswin32 as a platform.

Implying that Qtruby4 only works with mswin32? 'Cause I m on mac os x :)
C40020a47c6b625af6422b5b1302abaf?d=identicon&s=25 Stefano Crocco (crocco)
on 2009-04-27 22:59
(Received via mailing list)
On Monday 27 April 2009, Pito Salas wrote:
> |
> |Implying that Qtruby4 only works with mswin32? 'Cause I m on mac os x :)

No, qtruby4 works on other operating systems (I'm sure about linux, but
I
don't know about Mac OS X). It's the gem that's only for windows. If you
want
to install it on Mac, you'll have to compile it yourself, I fear. By the
way,
notice that the 1.4.9 version is a bit old. A new version (2.0.3) has
been
released last month.

Stefano
58479f76374a3ba3c69b9804163f39f4?d=identicon&s=25 Eric Hodel (Guest)
on 2009-04-28 00:03
(Received via mailing list)
On Apr 27, 2009, at 12:37, Pito Salas wrote:
>
> Implying that Qtruby4 only works with mswin32? 'Cause I m on mac os
> x :)

Apparently the gem author didn't bother to release a source-only gem.
Why not check the rubyforge project or homepage above.
58479f76374a3ba3c69b9804163f39f4?d=identicon&s=25 Eric Hodel (Guest)
on 2009-04-28 00:03
(Received via mailing list)
On Apr 27, 2009, at 12:37, Pito Salas wrote:
>
> Implying that Qtruby4 only works with mswin32? 'Cause I m on mac os
> x :)

Apparently the gem author didn't bother to release a source-only gem.
Why not check the rubyforge project or homepage above.
This topic is locked and can not be replied to.